Bug 213121 - Review Request: fast-user-switch-applet - a panel applet for switching users
Review Request: fast-user-switch-applet - a panel applet for switching users
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FC-ACCEPT
  Show dependency treegraph
 
Reported: 2006-10-30 16:19 EST by Matthias Clasen
Modified: 2007-11-30 17:11 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-08 16:25:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2006-10-30 16:19:59 EST
The fast-user-switch-applet builds on the gdmflexiserver framework to provide
convenient management of several X sessions at the same time. We want to get this
into Core now, since it will be part of our larger plans around user switching and
console handling for FC7.

Spec file and source and binary rpms can be found here:
http://people.redhat.com/mclasen/fusa/
Comment 1 Matthias Clasen 2006-12-06 10:37:44 EST
I've put updated srpm and spec at the same location.
Comment 2 Ray Strode [halfline] 2007-01-08 14:27:06 EST
spec file looks clean and shiny.

I always forget our policy of Epoch handling though.  It might be a good idea to
explicitly put an epoch of 0.

should we version the buildrequires?

What's --with-gdm-config=/etc/gdm/custom.conf do?  Remember for most people
custom.conf is just an empty stub file.  Will that cause a problem for the applet?

is rpmlint output clean?

Comment 3 Matthias Clasen 2007-01-08 14:50:47 EST
From looking at the code, it uses gnome-vfs to monitor the config file, and
reloads the gdm configuration if it changes. It does not read the file though, 
it gets the configuration from gdm. I guess it would be better to get notification
on configuration changes from gdm, but thats just an upstream bug to file, not 
something we need to sort out prior to accepting the package.

I don't think versioning the BRs would add a lot. I'd much rather rely on
version checks in the configure script. The versioned BRs in the spec file get
outdated to easily.

rpmlint output was clean when I did the packages.

The packaging guidelines don't say anything about requiring an explicit epoch, 
and that would be just silly.
Comment 4 Ray Strode [halfline] 2007-01-08 14:53:01 EST
okie dokie, looks good then.

build it!
Comment 5 Jesse Keating 2007-01-08 15:12:17 EST
Buildsystem knows about it, import and build away.  Please close when built for
dist-fc7
Comment 6 Matthias Clasen 2007-01-08 16:25:16 EST
built

Note You need to log in before you can comment on or make changes to this bug.